import { jsx as r, jsxs as l } from "react/jsx-runtime";
import f, { defaultProps as y } from "prism-react-renderer";
import { createContext as k, useContext as v, useState as b } from "react";
import { useMediaQuery as D } from "react-responsive";
import x from "@guoyunhe/prism-theme-github/github-dark.css?used&raw";
import T from "@guoyunhe/prism-theme-github/github-light.css?used&raw";
import C from "react-use-localstorage";
const j = {
  cjs: "javascript",
  cts: "typescript",
  htm: "markup",
  html: "markup",
  js: "javascript",
  md: "markdown",
  mjs: "javascript",
  mts: "typescript",
  svg: "markup",
  ts: "typescript",
  xml: "markup",
  yml: "yaml"
};
function S(e) {
  return j[e] || e;
}
function B({ code: e, language: o, style: n }) {
  return /* @__PURE__ */ r(
    f,
    {
      ...y,
      theme: void 0,
      code: e.trim(),
      language: S(o),
      children: ({ className: c, style: i, tokens: t, getLineProps: a, getTokenProps: h }) => /* @__PURE__ */ r("pre", { className: c, style: { ...i, ...n }, children: t.map((s, d) => /* @__PURE__ */ r("div", { ...a({ line: s, key: d }), children: /* @__PURE__ */ r("span", { children: s.map((g, m) => /* @__PURE__ */ r("span", { ...h({ token: g, key: m }) }, m)) }) }, d)) })
    }
  );
}
function M({ maxWidth: e = 800, style: o = {}, ...n }) {
  return /* @__PURE__ */ r(
    "div",
    {
      ...n,
      style: { ...o, maxWidth: e, margin: "auto", paddingLeft: 20, paddingRight: 20 }
    }
  );
}
const L = `body {
  margin: 0;
  background: #0d1117;
  color: #c9d1d9;
  font-size: 14px;
}
`, R = `body {
  margin: 0;
  background: #ffffff;
  color: #000000;
  font-size: 14px;
}
`, p = k({
  theme: "auto",
  actualTheme: "light",
  systemTheme: "light",
  setTheme: () => null
});
function Q({ children: e }) {
  const [o, n] = C("react-doc-ui-theme", "auto"), i = D({ query: "(prefers-color-scheme: dark)" }) ? "dark" : "light", t = o === "auto" ? i : o;
  return /* @__PURE__ */ l(p.Provider, { value: { theme: o, systemTheme: i, actualTheme: t, setTheme: n }, children: [
    /* @__PURE__ */ r("style", { children: t === "light" ? R : L }),
    /* @__PURE__ */ r("style", { children: t === "light" ? T : x }),
    e
  ] });
}
function u() {
  return v(p);
}
function U({ children: e }) {
  const { actualTheme: o } = u();
  return /* @__PURE__ */ r(
    "div",
    {
      style: {
        borderWidth: 1,
        borderStyle: "solid",
        borderColor: o === "dark" ? "#30363d" : "#d8dee4",
        borderRadius: 6,
        padding: 16,
        marginBottom: 16
      },
      children: e
    }
  );
}
function W({ files: e }) {
  const { actualTheme: o } = u(), [n, c] = b(0), i = o === "dark" ? "#161b22" : "#f6f8fa";
  return /* @__PURE__ */ l("div", { style: { marginBottom: 16 }, children: [
    /* @__PURE__ */ r("div", { style: { paddingLeft: 16, paddingRight: 16, display: "flex" }, children: e.map((t, a) => /* @__PURE__ */ r(
      "div",
      {
        onClick: () => {
          c(a);
        },
        style: {
          background: n === a ? i : "transparent",
          cursor: "pointer",
          padding: "4px 12px",
          borderRadius: "6px 6px 0 0"
        },
        children: t.filename || t.language.toUpperCase()
      },
      t.filename || a
    )) }),
    e.map((t, a) => /* @__PURE__ */ r(
      B,
      {
        ...t,
        style: { marginTop: 0, display: n === a ? "block" : "none" }
      },
      t.filename || a
    ))
  ] });
}
export {
  B as DocCodeBlock,
  M as DocContainer,
  U as DocDemoBlock,
  Q as DocProvider,
  W as DocTabCodeBlock,
  u as useDoc
};
